﻿-- English localization (enUS/enGB)
-- If you can translate these into French, German, Spanish, or any other language which has a WoW client version, please contact me! :D
local L = AceLibrary("AceLocale-2.2"):new("Checklist2")
L:RegisterTranslations("enUS", function() return {
    -- Strings inside Core.lua
    ["Toggle Checklist2 window"] = true,
    ["A checklist to keep track of tasks you need to do, now rewritten to include more features."] = true,
    
    ["A newer version is available. "] = true,
    ["The list \"%s\" was not found."] = true,
    ["A list named \"%s\" already exists."] = true,
    ["That task is already at either the top or the bottom of the list."] = true,
    ["Unable to parse parameters to |cffffff00/checklist2 renamelist|r, please try again"] = true,
    ["Change the name of the specified list"] = true,
    ["Delete the specified list."] = true,
    ["Sets the list to display on the plugin tooltip and the main window."] = true,
    ["Checks the specified task number"] = true,
    ["|cffffff00tasknumber|r\n(only accepts numbers)"] = true,
    ["Value given into |cffffff00/checklist2 check|r cannot be converted into a number."] = true,
    ["The specified task (|cffffff00%s|r) was not found."] = true,
    ["Unchecks the specified task number"] = true,
    ["Value given into |cffffff00/checklist2 uncheck|r cannot be converted into a number."] = true,
    
    -- For the slash commands
    ["Toggles the Checklist2 window"] = true,
    ["Reset"] = "Reset window position",
    ["Resets the Checklist2 window's position, then shows it"] = true,
    ["Window positions have been reset."] = true,
    ["Cannot change lists while the setup dialog is open."] = true,
    ["There is only one list item left!"] = true,
    ["You are editing options for list item %s in list \"%s\".\nEnter text below, or press Escape to exit."] = true,
    ["Are you sure you want to delete the list \"%s\"?"] = true,
    
    -- Strings inside CoreFrame.lua
    ["List Menu"] = true,
    ["Uncheck All"] = "Uncheck All Tasks",
    ["Check All"] = "Check All Tasks",
    ["Close"] = true,
    
    -- Strings inside FuBarPlugin.lua
    ["Tasks left in list \"%s\" (%i/%i %s)"] = true,
    ["|cff00ff00All tasks completed!|r"] = true,
    ["Set how long the displayed tooltip text should be before it wraps"] = true,
    
    
    -- Strings inside Applet.xml
    ["Rename"] = true,
    ["Change the name of the selected list"] = true,
    ["A list named \"%s\" already exists"] = true,
    ["New"] = true,
    ["List creation options. Categorizing your tasks can greatly save time."] = true,
    ["Empty List"] = true,
    ["Creates a new empty list, ready for customization"] = true,
    ["The new list's name cannot be nothing."] = true,
    ["A list with the same name already exists."] = true,
    ["Random List"] = true,
    ["Creates a new list from a number of possibilities. There are currently %i lists that Checklist2 will choose from."] = true,
    ["Delete"] = true,
    ["Delete the selected list."] = true,
    ["Cannot delete the currently displayed list (|cffffff00%s|r)"] = true,
    ["Close the menu."] = true,
    ["The specified list was not found."] = true,
    -- Inside Applet.xml, list sharing menu
    ["Send to..."] = true,
    ["List sharing options"] = true,
    ["Specific player"] = true,
    ["Sends the selected list to a specific person."] = true,
    ["Group"] = true,
    ["Broadcasts the selected list to Checklist2 users in your party, raid or battleground, depending on which is most appropriate."] = true,
    ["Guild"] = true,
    ["Broadcasts the selected list to all guild members using Checklist2"] = true,
    
    
    -- Add/Remove List Items dropdown menu
    ["Tasks: %i/%i (%s)"] = true,
    ["Add/Remove List Items"] = true,
    ["One more list item"] = true,
    ["Adds one more list item to the current list"] = true,
    ["One less list item"] = true,
    ["Removes the last list item in the current list"] = true,
    ["Add multiple items"] = true,
    ["Adds multiple items to the list currently in use."] = true,
    ["Enter the amount of list items you want to add. Will warn you when the value entered cannot be converted into a number"] = true,
    ["Entered value cannot be converted into a number"] = true,
    ["Remove multiple items"] = true,
    ["Removes multiple items from the list currently in use, starting from the bottom."] = true,
    
    -- Misc. Warnings
    ["Entered value cannot be converted into a number"] = true,
    ["Cannot remove more than 50 list items, or the amount of list items currently existing."] = true,
    ["Enter the amount of list items you want to remove. Will warn you when the value entered cannot be converted into a number"] = true,
    
    -- In the setup frame
    ["Move Up"] = true,
    ["Move Down"] = true,
    ["Enter"] = true,
    ["Clear text"] = true,
    
    -- Options
    ["Options"] = true,
    
  }
end
)